#!/bin/bash

# Autoapagado de la UPV. Vicerrectorado de TIC. Febrero 2010.
# Author: Guillermo Garcia: guillermogn@upv.es
# Soporte en http://www.upv.es/doc/encendido_remoto y en http://www.asic.upv.es
# Version 1.0.1

usuario=`whoami`
if [ $usuario != "root" ]
then
   echo
   echo "Ejecute este script como root"
   exit
fi

# Para Fedora, CentOs y Enterprise
service autoupv stop 1>/dev/null 2>&1
chkconfig --del autoupv 1>/dev/null 2>&1

# Para Debian, Ubuntu
/etc/init.d/autoupv stop 1>/dev/null 2>&1
update-rc.d -f autoupv remove 1>/dev/null 2>&1

# Para SuSE
#/etc/init.d/autoupv stop
insserv -r autoupv 1>/dev/null 2>&1

# Para Slackware
/etc/rc.d/autoupv stop 1>/dev/null 2>&1


# Comun
rm -f /etc/autoapagadoUPV.conf 1>/dev/null 2>&1
rm -f /etc/version 1>/dev/null 2>&1
rm -f /etc/rc.d/init.d/autoupv 1>/dev/null 2>&1
rm -f /etc/init.d/autoupv 1>/dev/null 2>&1
rm -f /etc/rc.d/autoupv 1>/dev/null 2>&1
rm -f /usr/sbin/autoapagadoupv 1>/dev/null 2>&1

if [ -f /etc/rc.d/old_rc_m ]; then
   clear
   echo "Siga estos pasos solo si tiene instalada una distribucion Slackware:"
   echo "----------------------------------------------------------------------------"
   echo "   Durante la instalacion del Autoapagado de la UPV, se creo una copia"
   echo "   del archivo /etc/rc.d/rc.M, llamada /etc/rc.d/old_rc_m."
   echo "   Si no ha modificado desde entonces usted o algun programa de instalacion"
   echo "   el archivo rc.M, puede ejecutar en un terminal lo siguiente:"
   echo "   cp -f /etc/rc.d/old_rc_m /etc/rc.d/rc.M"
   echo "   chmod 755 /etc/rc.d/rc.M"
   echo "----------------------------------------------------------------------------"
   echo "Tambien puede borrar simplemente la linea que se refiere al autoapagado"
   echo "en el fichero /etc/rc.d/rc.M (al final)." 
   #rm -f /etc/rc.d/rc.M 1>/dev/null 2>&1
   #mv /etc/rc.d/old_rc_m /etc/rc.d/rc.M 1>/dev/null 2>&1
   #chmod 755 /etc/rc.d/rc.M
fi

echo ----------------------------------------------------------------------------
echo Autoapagado de la UPV. Vicerrectorado de TIC. Febrero 2010.
echo Autor: Guillermo Garcia: guillermogn@upv.es. Version 1.0.1
echo Proyecto Ahorro Energetico UPV: http://www.upv.es/doc/encendido_remoto
echo Soporte ASIC: http://www.asic.upv.es
echo ----------------------------------------------------------------------------
echo "Autoapagado de la UPV desinstalado."
echo
